diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/jakes-process.cc ns-3.43/src/propagation/model/jakes-process.cc
--- ns-3.42/src/propagation/model/jakes-process.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/jakes-process.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Telum (www.telum.ru)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@telum.ru>, Alexander Sofronov <sofronov@telum.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/jakes-process.h ns-3.43/src/propagation/model/jakes-process.h
--- ns-3.42/src/propagation/model/jakes-process.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/jakes-process.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Telum (www.telum.ru)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@telum.ru>, Alexander Sofronov <sofronov@telum.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/jakes-propagation-loss-model.cc ns-3.43/src/propagation/model/jakes-propagation-loss-model.cc
--- ns-3.42/src/propagation/model/jakes-propagation-loss-model.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/jakes-propagation-loss-model.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Telum (www.telum.ru)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@telum.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/jakes-propagation-loss-model.h ns-3.43/src/propagation/model/jakes-propagation-loss-model.h
--- ns-3.42/src/propagation/model/jakes-propagation-loss-model.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/jakes-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Telum (www.telum.ru)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@telum.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/kun-2600-mhz-propagation-loss-model.cc ns-3.43/src/propagation/model/kun-2600-mhz-propagation-loss-model.cc
--- ns-3.42/src/propagation/model/kun-2600-mhz-propagation-loss-model.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/kun-2600-mhz-propagation-loss-model.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>,
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/kun-2600-mhz-propagation-loss-model.h ns-3.43/src/propagation/model/kun-2600-mhz-propagation-loss-model.h
--- ns-3.42/src/propagation/model/kun-2600-mhz-propagation-loss-model.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/kun-2600-mhz-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/okumura-hata-propagation-loss-model.cc ns-3.43/src/propagation/model/okumura-hata-propagation-loss-model.cc
--- ns-3.42/src/propagation/model/okumura-hata-propagation-loss-model.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/okumura-hata-propagation-loss-model.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>,
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/okumura-hata-propagation-loss-model.h ns-3.43/src/propagation/model/okumura-hata-propagation-loss-model.h
--- ns-3.42/src/propagation/model/okumura-hata-propagation-loss-model.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/okumura-hata-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/probabilistic-v2v-channel-condition-model.cc ns-3.43/src/propagation/model/probabilistic-v2v-channel-condition-model.cc
--- ns-3.42/src/propagation/model/probabilistic-v2v-channel-condition-model.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/probabilistic-v2v-channel-condition-model.cc	2024-10-09 16:41:10.080656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2020 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "probabilistic-v2v-channel-condition-model.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/probabilistic-v2v-channel-condition-model.h ns-3.43/src/propagation/model/probabilistic-v2v-channel-condition-model.h
--- ns-3.42/src/propagation/model/probabilistic-v2v-channel-condition-model.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/probabilistic-v2v-channel-condition-model.h	2024-10-09 16:41:10.080656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2020 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef PROBABILISTIC_V2V_CHANNEL_CONDITION_MODEL_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/propagation-cache.h ns-3.43/src/propagation/model/propagation-cache.h
--- ns-3.42/src/propagation/model/propagation-cache.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/propagation-cache.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Telum (www.telum.ru)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@telum.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/propagation-delay-model.cc ns-3.43/src/propagation/model/propagation-delay-model.cc
--- ns-3.42/src/propagation/model/propagation-delay-model.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/propagation-delay-model.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005,2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/propagation-delay-model.h ns-3.43/src/propagation/model/propagation-delay-model.h
--- ns-3.42/src/propagation/model/propagation-delay-model.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/propagation-delay-model.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005,2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/propagation-environment.h ns-3.43/src/propagation/model/propagation-environment.h
--- ns-3.42/src/propagation/model/propagation-environment.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/propagation-environment.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/propagation-loss-model.cc ns-3.43/src/propagation/model/propagation-loss-model.cc
--- ns-3.42/src/propagation/model/propagation-loss-model.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/propagation-loss-model.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005,2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Contributions: Timo Bingmann <timo.bingmann@student.kit.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/propagation-loss-model.h ns-3.43/src/propagation/model/propagation-loss-model.h
--- ns-3.42/src/propagation/model/propagation-loss-model.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005,2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Contributions: Timo Bingmann <timo.bingmann@student.kit.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/three-gpp-propagation-loss-model.cc ns-3.43/src/propagation/model/three-gpp-propagation-loss-model.cc
--- ns-3.42/src/propagation/model/three-gpp-propagation-loss-model.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/three-gpp-propagation-loss-model.cc	2024-10-09 16:41:10.080656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2019 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "three-gpp-propagation-loss-model.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/three-gpp-propagation-loss-model.h ns-3.43/src/propagation/model/three-gpp-propagation-loss-model.h
--- ns-3.42/src/propagation/model/three-gpp-propagation-loss-model.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/three-gpp-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2019 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef THREE_GPP_PROPAGATION_LOSS_MODEL_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/three-gpp-v2v-propagation-loss-model.cc ns-3.43/src/propagation/model/three-gpp-v2v-propagation-loss-model.cc
--- ns-3.42/src/propagation/model/three-gpp-v2v-propagation-loss-model.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/three-gpp-v2v-propagation-loss-model.cc	2024-10-09 16:41:10.080656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2020 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "three-gpp-v2v-propagation-loss-model.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/model/three-gpp-v2v-propagation-loss-model.h ns-3.43/src/propagation/model/three-gpp-v2v-propagation-loss-model.h
--- ns-3.42/src/propagation/model/three-gpp-v2v-propagation-loss-model.h	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/model/three-gpp-v2v-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2020 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef THREE_GPP_V2V_PROPAGATION_LOSS_MODEL_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/test/channel-condition-model-test-suite.cc ns-3.43/src/propagation/test/channel-condition-model-test-suite.cc
--- ns-3.42/src/propagation/test/channel-condition-model-test-suite.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/test/channel-condition-model-test-suite.cc	2024-10-09 16:41:10.080656500 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2019 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/abort.h"
@@ -86,7 +75,7 @@
 ThreeGppChannelConditionModelTestCase::ThreeGppChannelConditionModelTestCase()
     : TestCase("Test case for the child classes of ThreeGppChannelConditionModel"),
       m_testVectors(),
-      m_tolerance(2e-3)
+      m_tolerance(2.5e-3)
 {
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/test/itu-r-1411-los-test-suite.cc ns-3.43/src/propagation/test/itu-r-1411-los-test-suite.cc
--- ns-3.42/src/propagation/test/itu-r-1411-los-test-suite.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/test/itu-r-1411-los-test-suite.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011,2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/test/itu-r-1411-nlos-over-rooftop-test-suite.cc ns-3.43/src/propagation/test/itu-r-1411-nlos-over-rooftop-test-suite.cc
--- ns-3.42/src/propagation/test/itu-r-1411-nlos-over-rooftop-test-suite.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/test/itu-r-1411-nlos-over-rooftop-test-suite.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011,2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/test/kun-2600-mhz-test-suite.cc ns-3.43/src/propagation/test/kun-2600-mhz-test-suite.cc
--- ns-3.42/src/propagation/test/kun-2600-mhz-test-suite.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/test/kun-2600-mhz-test-suite.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011,2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/propagation/test/okumura-hata-test-suite.cc ns-3.43/src/propagation/test/okumura-hata-test-suite.cc
--- ns-3.42/src/propagation/test/okumura-hata-test-suite.cc	2024-05-29 15:29:47.160073800 -0700
+++ ns-3.43/src/propagation/test/okumura-hata-test-suite.cc	2024-10-09 16:41:10.080656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011,2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
